Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Plateformes Discussion :

Compatibilité avec MSVC 2015 ?


Sujet :

Plateformes

  1. #1
    Membre actif
    Compatibilité avec MSVC 2015 ?
    Bonjour,

    j'étais en train d'utiliser QWebView, et dans certaines circonstances le render se traîne. Je me suis dit que c'était une bonne occasion de porter un ancien projet avec des temps de latence que je n'ai jamais pu optimiser, de Qt WebKit vers Qt WebEngine, histoire de me faire une opinion :
    • Sauf que j'utilise sous Windows une version MinGw... et que
      Qt WebEngine uses the Chromium browser. Unfortunately, Chromium only supports MSVC 2013, so you need to update your compiler and install Qt for MSVC 2013. Source : https://forum.qt.io/topic/51916/proj...nginewidgets/3
    • Et re-sauf que sur mon Windows 10 (juste formaté) est installé MSVC 2015 community, et qu'il n'est pas question que je réinstalle une 2013.

    J'ai cherché vainement l'information. Il y a une date de sortie prévisionnelle de la version Qt basée sur VS2015 ?

  2. #2
    Membre actif
    Ce message n'a pas pu être affiché car il comporte des erreurs.

  3. #3
    Rédacteur/Modérateur

    Si tu veux faire ça "proprement", j'ai peur qu'il faille attendre décembre pour voir sortir Qt 5.6.

    PS : ça m'apprendra à répondre à un message sans avoir rafraichi la page.

  4. #4
    Responsable Qt & Livres

    Ou alors tu compiles déjà Qt 5.6 Alpha toi-même à partir des sources http://download.qt.io/development_re...-alpha/single/, ça n'est pas si compliqué (ça prend juste quelques heures, surtout avec Chromium ).

    Bon, la doc de Chromium est aussi particulière sur ce point : garantir la compatibilité avec exclusivement une seule et unique version du compilateur et du système d'exploitation, ça sent le "ça fonctionne chez moi, j'ai pas envie de savoir ce qui se passe ailleurs". Donc la compatibilité avec VS 2015 ne devrait pas être un problème, pour MinGW la situation ne devrait pas être catastrophique.
    Vous souhaitez participer aux rubriques Qt ou PyQt (tutoriels, FAQ, traductions), HPC ? Contactez-moi par MP.

    Créer des applications graphiques en Python avec PyQt5
    Créer des applications avec Qt 5.

    Pas de question d'ordre technique par MP !

  5. #5
    Membre actif
    Citation Envoyé par dourouc05 Voir le message
    Ou alors tu compiles déjà Qt 5.6 Alpha toi-même à partir des sources http://download.qt.io/development_re...-alpha/single/, ça n'est pas si compliqué (ça prend juste quelques heures, surtout avec Chromium ).
    Bonjour,

    je crois que je vais attendre. J'ai déjà compilé* le Framework en MingGW 64 Quelle folie ! Finalement, installer Windows SDK + VS 2013 + Qt5 est nettement plus rapide, plus sûr... et moins problématique.

    Bonne journée. Cordialement.

    *Enfin un bien grand mot : l'ensemble était partiellement fonctionnel, mes directives de compilation étant incomplètes : 3 jours de délire ! Mais c'est très instructif. Je crois que ma prochaine tentative sera réservée à une compilation "statique" quand nous déciderons (si nous décidons) de souscrire à la version commerciale. En réalité cela dépendra beaucoup des capacités de la version mobile que nous ne connaissons pas du tout.